package com.kingdee.eas.custom.lxsq;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectApplicationFactory
{
    private ProjectApplicationFactory()
    {
    }
    public static com.kingdee.eas.custom.lxsq.IProjectApplication getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.lxsq.IProjectApplication)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("FD76D410") ,com.kingdee.eas.custom.lxsq.IProjectApplication.class);
    }
    
    public static com.kingdee.eas.custom.lxsq.IProjectApplication getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.lxsq.IProjectApplication)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("FD76D410") ,com.kingdee.eas.custom.lxsq.IProjectApplication.class, objectCtx);
    }
    public static com.kingdee.eas.custom.lxsq.IProjectApplication getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.lxsq.IProjectApplication)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("FD76D410"));
    }
    public static com.kingdee.eas.custom.lxsq.IProjectApplication getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.lxsq.IProjectApplication)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("FD76D410"));
    }
}